#ifndef DATAMANAGER_H
#define DATAMANAGER_H

#include <QObject>
#include <QJsonDocument>

#include "database.h"
#include "tcpserver.h"
#include "protocol.h"

class DataManager : public QObject
{
    Q_OBJECT
public:
    explicit DataManager(QObject *parent = nullptr);
    static void disconnect_from_cln(QTcpSocket* sock);
    static void recv_from_cln(QByteArray &data, QTcpSocket* sock);

signals:

private:
    DataBase *database;
    Protocol *protocol;
    TCPServer *server;
    QList <QTcpSocket*> online_socket_list;
    QList <QString> online_name_list;
    static DataManager *p_this;
    void update_namelist(QTcpSocket *sock);
};

#endif // DATAMANAGER_H
